﻿// The webobjecttree control settings
var WebObjectTreeSettings =
{
    BackColor: "Ivory",
    BorderColor: "Gray",
    BorderStyle: "Solid",
    BorderWidth: "1px",
    Font:
    {
        Names: "Arial,helvetica,sans-serif",
        Size: "13px"
    },
    ForeColor: "#404040",
    FullPath: "\/android\/view\/AbsSavedState",
    Height: "325px",
    LoadingText: "please wait",
    SelectedBackColor: "LightSlateGray",
    SelectedForeColor: "White",
    Width: "310px"
};

// The webobjecttree control item data
var WebObjectTreeData =
{
    Items: [{
        Item: "android",
        Items: [{
            Item: "database",
            Items: ["DataSetObserver"]
        },{
            Item: "graphics",
            Items: [{
                Item: "drawable",
                Items: ["Drawable"]
            }]
        },{
            Item: "view",
            Items: ["AbsSavedState","SurfaceView",{
                Item: "View",
                Items: ["BaseSavedState"]
            },{
                Item: "ViewGroup",
                Items: ["LayoutParams","MarginLayoutParams"]
            }]
        },{
            Item: "widget",
            Items: [{
                Item: "AbsListView",
                Items: ["CheckForTap","LayoutParams","RecycleBin","SavedState"]
            },{
                Item: "AbsoluteLayout",
                Items: ["LayoutParams"]
            },"AbsSeekBar",{
                Item: "AbsSpinner",
                Items: ["RecycleBin","SavedState"]
            },{
                Item: "AdapterView",
                Items: ["AdapterContextMenuInfo","AdapterDataSetObserver"]
            },"AdapterView<T>","AlphabetIndexer","AnalogClock","AppSecurityPermissions","ArrayAdapter<T>","AutoCompleteTextView","BaseAdapter","BaseExpandableListAdapter","Button","CheckBox","CheckedTextView","Chronometer",{
                Item: "CompoundButton",
                Items: ["SavedState"]
            },"CursorAdapter","CursorFilter",{
                Item: "CursorTreeAdapter",
                Items: ["MyCursorHelper"]
            },"DatePicker","DialerFilter","DigitalClock","DoubleDigitManager","EditText",{
                Item: "ExpandableListConnector",
                Items: ["GroupMetadata","MyDataSetObserver","PositionMetadata"]
            },"ExpandableListPosition",{
                Item: "ExpandableListView",
                Items: ["ExpandableListContextMenuInfo","SavedState"]
            },{
                Item: "FastScroller",
                Items: ["ScrollFade","SavedState"]
            },{
                Item: "Filter",
                Items: ["FilterResults"]
            },{
                Item: "FrameLayout",
                Items: ["LayoutParams"]
            },{
                Item: "Gallery",
                Items: ["LayoutParams"]
            },"GridView","HeaderViewListAdapter","ImageButton","ImageSwitcher","ImageView",{
                Item: "LinearLayout",
                Items: ["LayoutParams"]
            },{
                Item: "ListView",
                Items: ["FixedViewInfo","SavedState"]
            },"MediaController",{
                Item: "MultiAutoCompleteTextView",
                Items: ["CommaTokenizer"]
            },"PopupWindow",{
                Item: "ProgressBar",
                Items: ["SavedState"]
            },"RadioButton",{
                Item: "RadioGroup",
                Items: ["LayoutParams"]
            },"RatingBar",{
                Item: "RelativeLayout",
                Items: ["LayoutParams"]
            },{
                Item: "RemoteViews",
                Items: ["ActionException"]
            },"ResourceCursorAdapter","ResourceCursorTreeAdapter","ScrollBarDrawable","Scroller","ScrollView","SeekBar","SimpleAdapter","SimpleCursorAdapter","SimpleCursorTreeAdapter","SimpleExpandableListAdapter","Spinner",{
                Item: "TabHost",
                Items: ["TabSpec"]
            },{
                Item: "TableLayout",
                Items: ["LayoutParams"]
            },{
                Item: "TableRow",
                Items: ["LayoutParams"]
            },"TabWidget","TextSwitcher",{
                Item: "TextView",
                Items: ["Drawables","InputContentType","InputMethodState","SavedState"]
            },"TimePicker","Toast","ToggleButton","TwoLineListItem","VideoView","ViewAnimator","ViewFlipper","ViewSwitcher","ZoomButton","ZoomControls"]
        }]
    }]
};

// Initializes the specified webobjecttree control
function WebObjectTreeInitialize(controlId)
{
    cwotInitializeControl(controlId, WebObjectTreeSettings, WebObjectTreeData);
}
