// Moves the full path from one webobjecttree to the other
function SwapFullPath(sourceId, destinationId)
{
    // get/set full path
    var fullPath = cwotGetFullPath(sourceId);
    cwotSetFullPath(destinationId, fullPath);

    // set keyboard focus
    cwotSetFocus(destinationId, false);

    return false;
}

// Displays the webobjecttree selected full paths
function CustomDisplayFullPath(controlId, fullPathId)
{
    var fullPath = document.getElementById(fullPathId);
    var contents = cwotGetFullPath(controlId);
    contents += "<br />";
    controlId = "WebObjectTree2";
    contents += cwotGetFullPath(controlId);
    contents += "<br />";
    fullPath.innerHTML = contents;
}

// Initializes the webobjecttree controls on the page
function CustomWebObjectTreeInitialize(controlId)
{
    WebObjectTree1Initialize(controlId);
    controlId = "WebObjectTree2";
    WebObjectTree2Initialize(controlId);
}
