using System;
using System.Web;

/// <summary>
/// ASP.NET sample page
/// </summary>
public partial class _Default : System.Web.UI.Page
{
    public string webObjectTreeId = "WebObjectTree1";
    public string webObjectTreeAboutInfoId = "AboutInfo1";
    public string webObjectTreeFullPathEncoded = "";
    public string webObjectTreeFullPathDecoded = "";
    public string webObjectTreeFullPathEscaped = "";

    /// <summary>
    /// Page load event handler
    /// </summary>
    /// <param name="sender">The event source</param>
    /// <param name="e">The event data</param>
    protected void Page_Load(object sender, EventArgs e)
    {
        if (IsPostBack)
        {
            string name = webObjectTreeId + "_FullPath";
            webObjectTreeFullPathEncoded = Request.Form[name];
            webObjectTreeFullPathDecoded = HttpUtility.HtmlDecode(webObjectTreeFullPathEncoded);
            webObjectTreeFullPathEscaped = webObjectTreeFullPathEncoded.Replace("'", "\\'");
        }
    }
}
