﻿// The webobjecttree control settings
var WebObjectTreeSettings =
{
    BackColor: "Ivory",
    BorderColor: "Gray",
    BorderStyle: "Solid",
    BorderWidth: "1px",
    Font:
    {
        Names: "Arial,helvetica,sans-serif",
        Size: "13px"
    },
    ForeColor: "#303030",
    FullPath: "\/Painter\/Cubist\/Braque",
    Height: "325px",
    LoadingText: "Reading...",
    SelectedBackColor: "#77A3BC",
    SelectedForeColor: "White",
    Width: "300px"
};

// The webobjecttree control item data
var WebObjectTreeData =
{
    Items: [{
        Item: "Painter",
        Items: [{
            Item: "Cubist",
            Items: ["Braque",{
                Item: "Gleizes",
                Hint: "Red"
            },{
                Item: "Metzinger",
                Hint: "Green"
            },{
                Item: "Picasso",
                Hint: "Blue"
            }]
        },{
            Item: "Impressionist",
            Items: ["Bazille","Monet","Renoir","Sisley"]
        }]
    },{
        Item: "Musician",
        Items: [{
            Item: "Bassist",
            Items: ["Clayton","Entwistle","Jones","McCartney"]
        },{
            Item: "Guitarist",
            Items: ["Buckethead","Gilmour","Hendrix","Richards"]
        }]
    }]
};

// Initializes the specified webobjecttree control
function WebObjectTreeInitialize(controlId)
{
    cwotInitializeControl(controlId, WebObjectTreeSettings, WebObjectTreeData);
}
