// Displays the webobjecttree selected full path
function DisplayFullPath(controlId, fullPathId)
{
    var fullPath = document.getElementById(fullPathId);
    fullPath.innerHTML = cwotGetFullPath(controlId);
}

// Initializes the controls on the sample page
function InitializePage(controlId, fullPathId, aboutInfoId)
{
    if (typeof CustomWebObjectTreeInitialize == "function")
    {
        CustomWebObjectTreeInitialize(controlId);
    }
    else
    {
        WebObjectTreeInitialize(controlId);
    }

    cwotSetFocus(controlId, false);

    if (typeof CustomDisplayFullPath == "function")
    {
        CustomDisplayFullPath(controlId, fullPathId);
    }
    else
    {
        DisplayFullPath(controlId, fullPathId);
    }

    var aboutInfo = document.getElementById(aboutInfoId);
    aboutInfo.innerHTML = cwotAbout.replace(/\r\n/g, "<br />");
}
